Subject: Re: Windows Resource Files and DLLs
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Mon, 26 Feb 2001 14:52:02 -0800

On 25 Feb 2001, at 21:37, the Illustrious Christopher Faylor wrote:

> On Sun, Feb 25, 2001 at 09:23:08PM -0500, Norman Vine wrote:
> >I have managed with a fair bit of 'coercion' to build a working
> >wxPython 2.2.5 DLL for Cygwin.
> >
> >One of the stumbling blocks I still have in coming up with a suitable
> >install script is that I apparently need to link the wxWindows resource
> >file with the Python.exe stub in order for it to be 'seen' by Python
> >scripts.
> >
> >IMO this is not an ideal solution.
> >
> >I would like to keep the resource file in the DLL
> >
> >Is there an equivalent for a DLLEXPORT for windows resources in a
> >compiled .rc file ??

	Not really.  But there is a possible workaround.
> 
> This seems like a reasonable thing to want to do...  which probably
> means that it isn't possible in Windows.

	The workaround is to compile the .rc file using windres, output as .o 
file.

	windres my.rc -omy.o

	And then to use dllwrap to add my.o to your .dll file.

	(this is the first time I've tested this -- the output .dll, according 
to "Quickview" seems to have valid headers.  Next question is can the 
.dll file be loaded via win32 api?...this I am not sure of.  Logic 
indicates that if the .dll is a "valid cygwin .dll" then it should be 
an easy matter to simply load the .dll like you normally would, thus 
adding the resources you require).

	Anyone else have a better sense of this?

	Thanks,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple